System.ServiceModel 4.0.0.0 System.Enum

The enumerations are typically used in association with a service contract. When a client sends messages to a remote application or service to call operations, is used to determine if a session is required to interact with the service and whether the messages used to invoke the operations at a service must arrive in the same order in which they were sent.

Message delivery between client and service requires a session to preserve the order in which operations are called by the client. If there is no session between endpoints, then the delivery order does not reflect the order in which the messages are sent.

The value of that an application uses specifies whether the application requires a specific order in the calling sequence. If , then the contract requires that messages must arrive in the order in which they are sent.

If , then the messages used to invoke public operations can arrive in any order.

If , there are no sessions.

Determines if the contract for the transfer of messages from a client to an application requires a session and whether the delivery of messages must preserve the order in which operations are called by the client.

- Field
  4.0.0.0
  System.ServiceModel.Channels.TransferSession

  Specifies that a session is not required to interact with the services on this contract.

- Field
  4.0.0.0
  System.ServiceModel.Channels.TransferSession

  Specifies that a session with ordered message delivery guarantees is required to interact with the services on this contract.

- Field
  4.0.0.0
  System.ServiceModel.Channels.TransferSession

  Specifies that a session with unordered message delivery guarantees is sufficient to interact with the services on this contract.